package com.jxdinfo.hussar.core.banner;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.jxdinfo.hussar.CoreVersion;
import com.jxdinfo.hussar.core.banner.AbstractHussarBanner;
import com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1StreamParser;
import com.jxdinfo.hussar.core.util.AsciiArtUtils;
import com.jxdinfo.hussar.core.util.DateTimeUtils;
import com.jxdinfo.hussar.core.util.SystemUtils;
import java.io.IOException;
import java.io.PrintStream;
import java.nio.charset.StandardCharsets;
import java.util.Collections;
import java.util.Formatter;
import java.util.Map;
import org.springframework.boot.Banner;
import org.springframework.core.Ordered;
import org.springframework.core.env.Environment;
import org.springframework.core.io.DefaultResourceLoader;
import org.springframework.core.io.Resource;
import org.springframework.core.io.ResourceLoader;
import org.springframework.util.ClassUtils;
import org.springframework.util.StreamUtils;

public abstract class AbstractHussarBanner implements Banner, Ordered, Comparable<AbstractHussarBanner> {
  public int compareTo(AbstractHussarBanner abstractHussarBanner1) {
    return Integer.compare(getOrder(), abstractHussarBanner1.getOrder());
  }
  
  public ClassLoader getClassLoader() {
    if (this.e != null)
      return this.e.getClassLoader(); 
    return ClassUtils.getDefaultClassLoader();
  }
  
  public void printBanner(Environment environment, Class<?> clazz, PrintStream printStream) {
    AsciiArtUtils.printAsciiArt(printStream, getTitle(), new(environment, clazz));
  }
  
  protected String getTitle() {
    if (this.e != null) {
    
    } else {
    
    } 
    DefaultResourceLoader defaultResourceLoader = new DefaultResourceLoader(getClassLoader());
    Resource resource = defaultResourceLoader.getResource(this.G);
    String str = ASN1StreamParser.strictfp("3@n{cbu=");
    if (resource.exists())
      try {
        return StreamUtils.copyToString(resource.getInputStream(), StandardCharsets.UTF_8);
      } catch (IOException iOException) {} 
    return str;
  }
  
  private String G = "classpath:hussarbanner.txt";
  
  private static final String C = "=";
  
  private ResourceLoader e;
  
  private static final int throw = 132;
  
  protected void injectEnvironmentInfoIntoBanner(Formatter formatter, Environment environment, Class clazz) {}
  
  protected static final String LINE_SEPARATOR = String.join("", Collections.nCopies(132, "="));
  
  protected abstract boolean check();
}
